Skip to main content
PATCH
Update an agent skill

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required

The project key

skillKey
string
required

The agent skill key

Body

application/json

Agent skill fields to update

name
string

Human-readable name of the agent skill.

Example:

"PDF extraction"

description
string

Human-readable description of what the agent skill does.

Example:

"Extracts text and tables from PDF files."

markdown
string

The verbatim SKILL.md content of the agent skill

maintainerId
string

The ID of the member who maintains this resource

Example:

"507f1f77bcf86cd799439011"

maintainerTeamKey
string

The key of the team that maintains this resource

Example:

"example-team-key"

tags
string[]

Replaces the tags on the agent skill. Tags can be used in custom role policies. Changing only the tags does not create a new version.

Example:

Response

Agent skill updated

key
string
required

The agent skill key

name
string
required

Human-readable name of the agent skill.

Example:

"PDF extraction"

markdown
string
required

The verbatim SKILL.md content of the agent skill

tags
string[]
required

Tags for the agent skill. Tags can be used in custom role policies.

Example:
version
integer
required

Version of the agent skill. Starts at 1, and each update that changes the name, description, or markdown creates a new version. Pass this value with key in a variation's skills: [{key, version}].

Example:

2

createdAt
integer<int64>
required
_access
object
Example:

The location and content type of related resources

Example:
_maintainer
object

The member or team that maintains this resource

Example:
description
string

Human-readable description of what the agent skill does.

Example:

"Extracts text and tables from PDF files."